Hi Scott,
please always reply to the mailing list, because I may not be able to solve your issues.


I was able to install the latest revision of Trimmomatic without issues, so we may need some more information from the Galaxy logs to understand what is your issue.
Same for the other repositories.

Cheers,
Nicola

On 20/11/15 16:09, Scott Szakonyi wrote:
Hi Nicola,

I was able to switch over to GitHub without issue. Thanks for pointing me in the right direction.

I have installed Trimmomatic successfully, although I wasn't able to install the latest version. If I try to install the "2015-09-23" revision, I get "Internal Server Error Galaxy was unable to successfully complete your request". The "2015-04-22" revision installs without issue.

However, I'm still having problems with the Picard tool. I've tried sever of the revisions, and have similar issues with all. Dependencies are not installing correctly, and I'm unable to repair them or otherwise resolve the problem. Three of the tools that install with Picard end up missing dependencies: package_cairo_1_12_14, package_pixman_0_32_4, and package_readline_6_2. The underlying errors do not seem to have a definite pattern, as was the case when I was having problems before the GitHub switch. Is this something that I should take up with whoever provides the Picard tool?

Thanks!

Scott

On Fri, Nov 20, 2015 at 9:39 AM, Scott Szakonyi <scott.b.szakony...@nd.edu <mailto:scott.b.szakony...@nd.edu>> wrote:

    Hi Nicola,

    Thank you, that's very helpful. I'll switch over to the GitHub
    repository and get the latest revision, then we'll see if that
    doesn't solve the problem.

    Best,

    Scott

    On Fri, Nov 20, 2015 at 9:33 AM, Nicola Soranzo
    <nsora...@tiscali.it <mailto:nsora...@tiscali.it>> wrote:

        Hi Scott,
        the mercurial mirror is not up to date unfortunately, see this
        previous discussion:

        
http://dev.list.galaxyproject.org/Bismark-installation-dependencies-error-td4668186.html

        Cheers,
        Nicola


        On 20/11/15 13:13, Scott Szakonyi wrote:
        Hi Nicola,

        I'm not entirely sure which version... but I am still using
        the mercurial mirror, which says I'm up to date. Would this
        be a wise time, then, to change over to the Git repository
        directly?

        Thanks!

        Scott

        On Thu, Nov 19, 2015 at 8:15 PM, Nicola Soranzo
        <nsora...@tiscali.it <mailto:nsora...@tiscali.it>> wrote:

            Hi Scott,
            which Galaxy release are you using?
            This is a bug which should be fixed in an updated
            release_15.07 git branch.

            Cheers,
            Nicola

            ---- Scott Szakonyi ha scritto ----


            Hello all,

            I'm having issues installing Trimmomatic and Picard tools
            from the toolshed. The errors are of the following form
            (Trimmomatic used for the example).

            Trimmomatic 0.32 package shows an installation error.

            Error details:
            File 
"/vectorbase/web/Galaxy/galaxy-dist/lib/tool_shed/galaxy_install/install_manager.py",
 line 142, in install_and_build_package_via_fabric
                tool_dependency = self.install_and_build_package( 
tool_shed_repository, tool_dependency, actions_dict )
              File 
"/vectorbase/web/Galaxy/galaxy-dist/lib/tool_shed/galaxy_install/install_manager.py",
 line 136, in install_and_build_package
                dir = tmp_dir
              File "/usr/lib64/python2.6/contextlib.py", line 34, in __exit__
                self.gen.throw(type, value, traceback)
              File 
"/vectorbase/web/Galaxy/galaxy-dist/eggs/Fabric-1.7.0-py2.6.egg/fabric/context_managers.py",
 line 142, in _setenv
                yield
              File 
"/vectorbase/web/Galaxy/galaxy-dist/lib/tool_shed/galaxy_install/install_manager.py",
 line 100, in install_and_build_package
                initial_download=True )
              File 
"/vectorbase/web/Galaxy/galaxy-dist/lib/tool_shed/galaxy_install/tool_dependencies/recipe/recipe_manager.py",
 line 32, in execute_step
                initial_download=initial_download )
              File 
"/vectorbase/web/Galaxy/galaxy-dist/lib/tool_shed/galaxy_install/tool_dependencies/recipe/step_handler.py",
 line 685, in execute_step
                dir = self.url_download( work_dir, downloaded_filename, url, 
extract=True, checksums=checksums )
              File 
"/vectorbase/web/Galaxy/galaxy-dist/lib/tool_shed/galaxy_install/tool_dependencies/recipe/step_handler.py",
 line 223, in url_download
                extraction_path = archive.extract( install_dir )
              File 
"/vectorbase/web/Galaxy/galaxy-dist/lib/tool_shed/galaxy_install/tool_dependencies/recipe/step_handler.py",
 line 89, in extract
                os.chmod( absolute_filepath, unix_permissions )

            [Errno 2] No such file or directory: 
'/data/galaxy/tmp/tmp-toolshed-mtdeqJvts/Trimmomatic-0.32/Trimmomatic-0.32/'

            I've tried several version of the tool with no success.
            Any thoughts? I've searched project website but haven't
            come up with anything definitive.

            Thanks for any help you can offer,

-- Scott B. Szakonyi
            Research Programmer
            *Center for Research Computing*
            107 Information Technology Center
            Notre Dame, IN 46556
            <http://crc.nd.edu/>http://crc.nd.edu




-- Scott B. Szakonyi
        Research Programmer

        *Center for Research Computing*
        107 Information Technology Center
        Notre Dame, IN 46556
        <http://crc.nd.edu/>http://crc.nd.edu




-- Scott B. Szakonyi
    Research Programmer

    *Center for Research Computing*
    107 Information Technology Center
    Notre Dame, IN 46556
    http://crc.nd.edu <http://crc.nd.edu/>




--
Scott B. Szakonyi
Research Programmer

*Center for Research Computing*
107 Information Technology Center
Notre Dame, IN 46556
http://crc.nd.edu <http://crc.nd.edu/>

___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  https://lists.galaxyproject.org/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/mailinglists/

Reply via email to